require 'rails_helper'

RSpec.describe "transactions/sales/show", type: :view do
  before(:each) do
    @transactions_sale = assign(:transactions_sale, Transactions::Sale.create!(
      :cashier => nil,
      :cashier_name => "Cashier Name",
      :requested_by => "Requested By",
      :receipt_no => "Receipt No",
      :customer => nil,
      :payment_status => "Payment Status",
      :sale_status => "Sale Status",
      :total_amount => "9.99",
      :total_discount => "9.99",
      :total_tax => "9.99",
      :tax_type => "Tax Type",
      :grand_total => "9.99",
      :rounding_adjustment => "9.99",
      :amount_received => "9.99",
      :amount_changed => "9.99"
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(//)
    expect(rendered).to match(/Cashier Name/)
    expect(rendered).to match(/Requested By/)
    expect(rendered).to match(/Receipt No/)
    expect(rendered).to match(//)
    expect(rendered).to match(/Payment Status/)
    expect(rendered).to match(/Sale Status/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/Tax Type/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/9.99/)
    expect(rendered).to match(/9.99/)
  end
end
